Extending Qt Creator Manual | DeployConfigurationFactory

Extending Qt Creator Manual 4.5.2

# DeployConfigurationFactory Class

(ProjectExplorer::DeployConfigurationFactory)

- List of all members, including inherited members

## Public Functions

| DeployConfigurationFactory(QObject *parent = nullptr)
virtual QList<Core::Id> | availableCreationIds(Target *parent) const = 0
virtual bool | canClone(Target *parent, DeployConfiguration *product) const = 0
virtual bool | canCreate(Target *parent, Core::Id id) const = 0
virtual bool | canRestore(Target *parent, const QVariantMap &map) const = 0
virtual DeployConfiguration * | clone(Target *parent, DeployConfiguration *product) = 0
virtual DeployConfiguration * | create(Target *parent, Core::Id id) = 0
virtual QString | displayNameForId(Core::Id id) const = 0
virtual DeployConfiguration * | restore(Target *parent, const QVariantMap &map) = 0

## Signals

void | availableCreationIdsChanged()

## Static Public Members

DeployConfigurationFactory * | find(Target *parent, const QVariantMap &map)
QList<DeployConfigurationFactory *> | find(Target *parent)
DeployConfigurationFactory * | find(Target *parent, DeployConfiguration *dc)

## Member Function Documentation

### DeployConfigurationFactory::DeployConfigurationFactory(QObject *parent = nullptr)

Default constructs an instance of DeployConfigurationFactory.

### `[pure virtual]` QList<Core::Id> DeployConfigurationFactory::availableCreationIds(Target *parent) const

### `[signal]` void DeployConfigurationFactory::availableCreationIdsChanged()

### `[pure virtual]` bool DeployConfigurationFactory::canClone(Target *parent, DeployConfiguration *product) const

### `[pure virtual]` bool DeployConfigurationFactory::canCreate(Target *parent, Core::Id id) const

### `[pure virtual]` bool DeployConfigurationFactory::canRestore(Target *parent, const QVariantMap &map) const

### `[pure virtual]` DeployConfiguration *DeployConfigurationFactory::clone(Target *parent, DeployConfiguration *product)

### `[pure virtual]` DeployConfiguration *DeployConfigurationFactory::create(Target *parent, Core::Id id)

### `[pure virtual]` QString DeployConfigurationFactory::displayNameForId(Core::Id id) const

### `[static]` DeployConfigurationFactory *DeployConfigurationFactory::find(Target *parent, const QVariantMap &map)

### `[static]` QList<DeployConfigurationFactory *> DeployConfigurationFactory::find(Target *parent)

### `[static]` DeployConfigurationFactory *DeployConfigurationFactory::find(Target *parent, DeployConfiguration *dc)

### `[pure virtual]` DeployConfiguration *DeployConfigurationFactory::restore(Target *parent, const QVariantMap &map)